package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class VuforiaImageInfo {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String vuforiaImageGroupId;
    private String name;
    private String vuforiaImageTypeId;
    private String areaMarking;
    private String landMarkId;
    private String arContentGroupId;
    private String posX;
    private String posY;
    private String posZ;
    private String angle;
    private String remark1;
    private String remark2;
    private String remark3;
    private String vuforiaImage;

    private String targetId;


    private String idStr;

    private String searchKey;

    private String mapIndex;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getVuforiaImageGroupId() {
        return this.vuforiaImageGroupId;
    }

    public void setVuforiaImageGroupId(String vuforiaImageGroupId) {
        this.vuforiaImageGroupId = vuforiaImageGroupId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getVuforiaImageTypeId() {
        return this.vuforiaImageTypeId;
    }

    public void setVuforiaImageTypeId(String vuforiaImageTypeId) {
        this.vuforiaImageTypeId = vuforiaImageTypeId;
    }

    public String getAreaMarking() {
        return this.areaMarking;
    }

    public void setAreaMarking(String areaMarking) {
        this.areaMarking = areaMarking;
    }

    public String getLandMarkId() {
        return this.landMarkId;
    }

    public void setLandMarkId(String landMarkId) {
        this.landMarkId = landMarkId;
    }

    public String getArContentGroupId() {
        return this.arContentGroupId;
    }

    public void setArContentGroupId(String arContentGroupId) {
        this.arContentGroupId = arContentGroupId;
    }

    public String getPosX() {
        return this.posX;
    }

    public void setPosX(String posX) {
        this.posX = posX;
    }

    public String getPosY() {
        return this.posY;
    }

    public void setPosY(String posY) {
        this.posY = posY;
    }

    public String getPosZ() {
        return this.posZ;
    }

    public void setPosZ(String posZ) {
        this.posZ = posZ;
    }

    public String getAngle() {
        return this.angle;
    }

    public void setAngle(String angle) {
        this.angle = angle;
    }

    public String getRemark1() {
        return this.remark1;
    }

    public void setRemark1(String remark1) {
        this.remark1 = remark1;
    }

    public String getRemark2() {
        return this.remark2;
    }

    public void setRemark2(String remark2) {
        this.remark2 = remark2;
    }

    public String getRemark3() {
        return this.remark3;
    }

    public void setRemark3(String remark3) {
        this.remark3 = remark3;
    }

    public String getVuforiaImage() {
        return this.vuforiaImage;
    }

    public void setVuforiaImage(String vuforiaImage) {
        this.vuforiaImage = vuforiaImage;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public String getTargetId() {
        return targetId;
    }

    public void setTargetId(String targetId) {
        this.targetId = targetId;
    }

    public String getMapIndex() {
        return mapIndex;
    }

    public void setMapIndex(String mapIndex) {
        this.mapIndex = mapIndex;
    }
}

